import type { MaybeRefOrGetter } from 'vue';
export type Coordinate = Readonly<{
    x: number;
    y: number;
}>;
export default function useDragging(target: MaybeRefOrGetter<HTMLElement | undefined>, options?: Readonly<{
    enabled?: MaybeRefOrGetter<boolean>;
}>): {
    stop: () => void;
    isDragging: import("vue").ComputedRef<boolean>;
    coordinate: import("vue").WritableComputedRef<{
        x: number;
        y: number;
    }, {
        x: number;
        y: number;
    }>;
    cursor: Readonly<import("vue").Ref<{
        readonly x: number;
        readonly y: number;
    } | undefined, {
        readonly x: number;
        readonly y: number;
    } | undefined>>;
};
